<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/create_ips_mask_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/05/85  create_ips_mask_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>The create_ips_mask_ subroutine returns a bit string that can be used
<span id="L5" class="LineNr"> 5 </span>to disable specified ips <span class="textRainbow_lv0_p0">(</span>interprocess signal<span class="textRainbow_lv0_p0">)</span> interrupts <span class="textRainbow_lv0_p0">(</span>also known
<span id="L6" class="LineNr"> 6 </span>as ips signals<span class="textRainbow_lv0_p0">)</span>.
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>Entry points in create_ips_mask_:
<span id="L10" class="LineNr">10 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>:Entry:  create_ips_mask_:  03/05/85  create_ips_mask_
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Function:
<span id="L17" class="LineNr">17 </span>returns a bit string that can be used to disable specified ips
<span id="L18" class="LineNr">18 </span>interrupts.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Syntax:
<span id="L22" class="LineNr">22 </span>declare create_ips_mask_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>call create_ips_mask_ <span class="textRainbow_lv0_p0">(</span>array_ptr<span class="textRainbow_lv0_o0">,</span> lng<span class="textRainbow_lv0_o0">,</span> mask<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>Arguments:
<span id="L27" class="LineNr">27 </span>array_ptr
<span id="L28" class="LineNr">28 </span>   is a pointer to an array of ips names that are declared as char<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr">29 </span>   aligned.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr">30 </span>lng
<span id="L31" class="LineNr">31 </span>   is the number of elements in the array pointed to by array_ptr.
<span id="L32" class="LineNr">32 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr">33 </span>mask
<span id="L34" class="LineNr">34 </span>   is a mask that disables all of the ips signals named in the array.
<span id="L35" class="LineNr">35 </span>   <span class="textRainbow_lv0_p0">(</span>See &quot;Notes&quot; below.<span class="textRainbow_lv0_p0">)</span>
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>Notes:  If any of the names are not valid ips signal names, the
<span id="L39" class="LineNr">39 </span>condition create_ips_mask_err is signalled.  Currently, the allowed ips
<span id="L40" class="LineNr">40 </span>names are:
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>     quit
<span id="L43" class="LineNr">43 </span>     cput
<span id="L44" class="LineNr">44 </span>     alrm
<span id="L45" class="LineNr">45 </span>     neti
<span id="L46" class="LineNr">46 </span>     sus_
<span id="L47" class="LineNr">47 </span>     trm_
<span id="L48" class="LineNr">48 </span>     wkp_
<span id="L49" class="LineNr">49 </span>     pgt_
<span id="L50" class="LineNr">50 </span>     system_shutdown_scheduled_
<span id="L51" class="LineNr">51 </span>     dm_shutdown_scheduled_
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>If the first name in the array is -all, then a mask is returned that
<span id="L55" class="LineNr">55 </span>masks all interrupts.
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>The returned mask contains a &quot;0&quot;b in the bit position corresponding to
<span id="L58" class="LineNr">58 </span>each ips name in the array and a &quot;1&quot;b in all other bit positions.  The
<span id="L59" class="LineNr">59 </span>bit positions are ordered as in the above list.  It should be noted
<span id="L60" class="LineNr">60 </span>that it is necessary to complement this mask <span class="textRainbow_lv0_p0">(</span>using a statement of the
<span id="L61" class="LineNr">61 </span>form &quot;mask = ^mask&quot;<span class="textRainbow_lv0_p0">)</span> in cases where the requirement is for a mask with
<span id="L62" class="LineNr">62 </span>&quot;1&quot; bits corresponding to specified interrupts.  An ips mask is used as
<span id="L63" class="LineNr">63 </span>an argument to the hcs_$reset_ips_mask and hcs_$set_ips_mask entry
<span id="L64" class="LineNr">64 </span>points.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
